- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions

# QWebPluginFactory Class Reference

Search for all occurrences

## Detailed Description

Definition at line 34 of file qwebpluginfactory.h.

`#include <qwebpluginfactory.h>`

Inheritance diagram for QWebPluginFactory:
[legend]

List of all members.

## Classes
class | ExtensionOption
class | ExtensionReturn
struct | MimeType
struct | Plugin
## Public Types
enum | Extension
## Public Member Functions
| QWebPluginFactory (QObject *parent=0)
virtual | ~QWebPluginFactory ()
virtual QList< Plugin > | plugins () const =0
virtual void | refreshPlugins ()
virtual QObject * | create (const QString &mimeType, const QUrl &, const QStringList &argumentNames, const QStringList &argumentValues) const =0
virtual bool | extension (Extension extension, const ExtensionOption *option=0, ExtensionReturn *output=0)
virtual bool | supportsExtension (Extension extension) const

## Member Enumeration Documentation

enum Extension

Search for all occurrences

Definition at line 62 of file qwebpluginfactory.h.

                       {
        };

## Constructor & Destructor Documentation

QWebPluginFactory | ( | QObject * | parent = `0` | ) | `[explicit]`

virtual ~QWebPluginFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QList<Plugin> plugins | ( |  | ) | const `[pure virtual]`

Search for all occurrences

virtual void refreshPlugins | ( |  | ) | `[virtual]`

Search for all occurrences

virtual QObject* create | ( | const QString & | mimeType,
|  | const QUrl & | ,
|  | const QStringList & | argumentNames,
|  | const QStringList & | argumentValues
| ) |  | const `[pure virtual]`

Search for all occurrences

virtual bool extension | ( | Extension | extension,
|  | const ExtensionOption * | option = `0`,
|  | ExtensionReturn * | output = `0`
| ) |  | `[virtual]`

Search for all occurrences

virtual bool supportsExtension | ( | Extension | extension | ) | const `[virtual]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtWebKit/qwebpluginfactory.h

QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory
QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory QWebPluginFactory